Bug 108395 - Provide a sensible default architecture when building on iOS SDKs
Summary: Provide a sensible default architecture when building on iOS SDKs
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other All
: P2 Minor
Assignee: David Farler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-30 15:54 PST by David Farler
Modified: 2013-02-01 12:51 PST (History)
4 users (show)

See Also:


Attachments
Patch (3.43 KB, patch)
2013-01-30 21:27 PST, David Farler
no flags Details | Formatted Diff | Diff
Patch (3.49 KB, patch)
2013-01-31 15:03 PST, David Farler
no flags Details | Formatted Diff | Diff
Patch (1.63 KB, patch)
2013-01-31 20:12 PST, David Farler
no flags Details | Formatted Diff | Diff
Patch (1.34 KB, patch)
2013-02-01 12:49 PST, David Farler
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Farler 2013-01-30 15:54:25 PST
The current default architecture for Apple ports is x86_64 - we should default to armv7 and i386 for iphoneos and iphonesimulator SDKs respectively.
Comment 1 David Farler 2013-01-30 21:27:08 PST
Created attachment 185673 [details]
Patch
Comment 2 David Farler 2013-01-31 11:00:58 PST
Comment on attachment 185673 [details]
Patch

For review.
Comment 3 Joseph Pecoraro 2013-01-31 14:52:08 PST
Comment on attachment 185673 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=185673&action=review

r=me, but consider cleaning up the line in XcodeOptions.

> Tools/Scripts/webkitdirs.pm:556
> +    return (@baseProductDirOption, "-configuration", $configuration, ($architecture ? "ARCHS=$architecture" : ()),($xcodeSDK ? "SDKROOT=$xcodeSDK" : ()), argumentsForXcode());

It would be nice to pull out the ARCHS and SDKROOT ternaries into their own lines to make this line to enhance readability.
Comment 4 David Farler 2013-01-31 15:03:18 PST
Created attachment 185874 [details]
Patch
Comment 5 Joseph Pecoraro 2013-01-31 15:08:21 PST
Comment on attachment 185874 [details]
Patch

r=me
Comment 6 WebKit Review Bot 2013-01-31 17:35:37 PST
Comment on attachment 185874 [details]
Patch

Clearing flags on attachment: 185874

Committed r141515: <http://trac.webkit.org/changeset/141515>
Comment 7 WebKit Review Bot 2013-01-31 17:35:40 PST
All reviewed patches have been landed.  Closing bug.
Comment 8 David Kilzer (:ddkilzer) 2013-01-31 17:36:38 PST
Comment on attachment 185874 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=185874&action=review

> Tools/Scripts/webkitdirs.pm:322
> +            if (not defined $xcodeSDK or $xcodeSDK =~ /\/|macosx/) {

I would have made this a bit more exclusive; the regex above matches any string with "/" or "macosx" in it:

        if (not defined $xcodeSDK or $xcodeSDK eq "/" or $xcodeSDK =~ /^macosx/) {

> Tools/Scripts/webkitdirs.pm:326
> +            } elsif ($xcodeSDK =~ /iphonesimulator/) {

Suggest:  /^iphonesimulator/

> Tools/Scripts/webkitdirs.pm:328
> +            } elsif ($xcodeSDK =~ /iphoneos/) {

Suggest:  /^iphoneos/
Comment 9 David Farler 2013-01-31 20:08:41 PST
Quick regex cleanup.
Comment 10 David Farler 2013-01-31 20:12:48 PST
Created attachment 185921 [details]
Patch
Comment 11 WebKit Review Bot 2013-01-31 21:03:09 PST
Comment on attachment 185921 [details]
Patch

Clearing flags on attachment: 185921

Committed r141534: <http://trac.webkit.org/changeset/141534>
Comment 12 WebKit Review Bot 2013-01-31 21:03:14 PST
All reviewed patches have been landed.  Closing bug.
Comment 13 David Farler 2013-02-01 12:49:38 PST
Reopening to attach new patch.
Comment 14 David Farler 2013-02-01 12:49:40 PST
Created attachment 186111 [details]
Patch